Page MenuHomePhabricator

Add ulsPurpose to usages of ULS in all extensions used by Wikimedia
Closed, ResolvedPublic

Description

The option ulsPurpose was added to ULS recently. The goal of this option is to identify each instance of ULS for logging and understanding its usage better.

It must be specified in the initialization JS function, .uls().

It was added to the UniversalLanguageSelector extension itself. Examples:

Now it must also be added to usages of ULS in other extensions used by Wikimedia:

  • Wikibase (apparently, it doesn't seem to be used as a panel anywhere, although ULS's langdb is used in many places)
  • ContentTranslation (patch)
  • UploadWizard (patch)
  • Translate (patch)
  • TwnMainPage (not deployed on Wikimedia sites, but related enough) (patch)
  • CleanChanges (not deployed on Wikimedia sites, but related enough) (patch)

The new identifiers must be added to https://www.mediawiki.org/wiki/Universal_Language_Selector/Analytics .

Details

Related Gerrit Patches:
mediawiki/extensions/TwnMainPage : masterAdd ulsPurpose to the ULS initialization
mediawiki/extensions/ContentTranslation : masterAdd ulsPurpose to the ULS initialization
mediawiki/extensions/ContentTranslation : masterAdd ulsPurpose to the ULS initialization
mediawiki/extensions/CleanChanges : masterAdd ulsPurpose to the ULS initialization
mediawiki/extensions/UploadWizard : masterAdd ulsPurpose to the ULS initialization
mediawiki/extensions/Translate : masterAdd ulsPurpose to the ULS initialization

Event Timeline

Amire80 created this task.Mar 21 2018, 9:28 AM
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 21 2018, 9:28 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 420973 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/UploadWizard@master] Add ulsPurpose to the ULS initialization

https://gerrit.wikimedia.org/r/420973

Amire80 updated the task description. (Show Details)Mar 21 2018, 9:45 AM

Change 420984 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/Translate@master] Add ulsPurpose to the ULS initialization

https://gerrit.wikimedia.org/r/420984

Change 420986 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/TwnMainPage@master] Add ulsPurpose to the ULS initialization

https://gerrit.wikimedia.org/r/420986

Amire80 updated the task description. (Show Details)Mar 21 2018, 10:45 AM

Change 421002 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/ContentTranslation@master] Add ulsPurpose to the ULS initialization

https://gerrit.wikimedia.org/r/421002

Amire80 updated the task description. (Show Details)Mar 21 2018, 12:28 PM

Change 421010 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/CleanChanges@master] Add ulsPurpose to the ULS initialization

https://gerrit.wikimedia.org/r/421010

Amire80 triaged this task as Medium priority.Mar 21 2018, 1:23 PM
Amire80 updated the task description. (Show Details)
Amire80 moved this task from Needs Triage to April-June 2018 on the ContentTranslation board.
Amire80 moved this task from Backlog to Analytics on the UniversalLanguageSelector board.

Change 420984 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Add ulsPurpose to the ULS initialization

https://gerrit.wikimedia.org/r/420984

Ramsey-WMF moved this task from Untriaged to Tracking on the Multimedia board.Mar 21 2018, 3:42 PM

Change 420973 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Add ulsPurpose to the ULS initialization

https://gerrit.wikimedia.org/r/420973

Change 421010 merged by jenkins-bot:
[mediawiki/extensions/CleanChanges@master] Add ulsPurpose to the ULS initialization

https://gerrit.wikimedia.org/r/421010

Change 434949 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Add ulsPurpose to the ULS initialization

https://gerrit.wikimedia.org/r/434949

Change 434949 abandoned by Amire80:
Add ulsPurpose to the ULS initialization

Reason:
Done more simply in I145e6f2da473191b5428657430f001322b7b59f1

https://gerrit.wikimedia.org/r/434949

Change 434949 restored by Amire80:
Add ulsPurpose to the ULS initialization

https://gerrit.wikimedia.org/r/434949

Change 421002 abandoned by Amire80:
Add ulsPurpose to the ULS initialization

Reason:
Done more simply in I145e6f2da473191b5428657430f001322b7b59f1

https://gerrit.wikimedia.org/r/421002

Change 434949 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Add ulsPurpose to the ULS initialization

https://gerrit.wikimedia.org/r/434949

Petar.petkovic updated the task description. (Show Details)

Change 420986 merged by jenkins-bot:
[mediawiki/extensions/TwnMainPage@master] Add ulsPurpose to the ULS initialization

https://gerrit.wikimedia.org/r/420986

Arrbee moved this task from In Review to Done on the Language-2018-Apr-June board.Jun 25 2018, 7:08 AM
Petar.petkovic updated the task description. (Show Details)
Arrbee closed this task as Resolved.Jul 10 2018, 9:33 AM